# Function

Static Public Summary
public | publicKey(property: string): * Layout for a public key |
public | rustString(property: string): * Layout for a Rust String type |
public | async sendAndConfirmTransaction(connection: *, transaction: *, signers: ...*): * Sign, send and confirm a transaction |
public | sleep(ms: number): Promise<void> |
public | uint64(property: string): * Layout for a 64bit unsigned value |

## Static Public

### public publicKey(property: string): * source

    import {publicKey} from '@solana/web3'

Layout for a public key

#### Params:

Name | Type | Attribute | Description
property | string | optional default: publicKey |

#### Return:

*

### public rustString(property: string): * source

    import {rustString} from '@solana/web3'

Layout for a Rust String type

#### Params:

Name | Type | Attribute | Description
property | string | optional default: string |

#### Return:

*

### public async sendAndConfirmTransaction(connection: *, transaction: *, signers: ...*): * source

    import {sendAndConfirmTransaction} from '@solana/web3'

Sign, send and confirm a transaction

#### Params:

Name | Type | Attribute | Description
connection | * |  |
transaction | * |  |
signers | ...* |  |

#### Return:

*

### public sleep(ms: number): Promise<void> source

    import {sleep} from '@solana/web3'

#### Params:

Name | Type | Attribute | Description
ms | number |  |

#### Return:

Promise<void>

### public uint64(property: string): * source

    import {uint64} from '@solana/web3'

Layout for a 64bit unsigned value

#### Params:

Name | Type | Attribute | Description
property | string | optional default: uint64 |

#### Return:

*